Skip to main content

Device Certificates Actions

https://api.losant.com/applications/APPLICATION_ID/certificates

Below are the various requests that can be performed against the Device Certificates resource, as well as the expected parameters and the potential responses.

Get​

Returns the application certificates for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/certificates

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationCertificates.*, or applicationCertificates.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, certificateInfo.commonName, status, id, creationDate, lastUpdatedcertificateInfo.commonNamesortField=status
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, certificateInfo.commonName, statusfilterField=status
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=the*status
queryNApplication certificate filter JSON object which overrides the filterField and filter parameters. See Advanced Application Certificate Query for more details.query={"$nor":[{"id":"575ec8687ae143cd83dc4a97"},{"lastUpdated":{"$lt":1612189931000}}]}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/certificates

Successful Responses​

CodeTypeDescription
200Application CertificatesCollection of application certificates

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new application certificate for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/certificates

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, applicationCertificates.*, or applicationCertificates.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Application Certificate Post schema. For example, the following would be a valid body for this request:

{
"description": "An example new certificate description",
"certificate": "-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----",
"filterType": "all",
"pubTopics": [],
"subTopics": []
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"description":"An example new certificate description","certificate":"-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----","filterType":"all","pubTopics":[],"subTopics":[]}' \
https://api.losant.com/applications/APPLICATION_ID/certificates

Successful Responses​

CodeTypeDescription
201Application CertificateSuccessfully created application certificate

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Advanced Application Certificate Query​

Schema for advanced application certificate queries

Advanced Application Certificate Query Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 21 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key

                                            Advanced Application Certificate Query Example​

                                            • ▶
                                              {} 1 key
                                              • ▶
                                                [] 2 items

                                              Application Certificate​

                                              Schema for a single Application Certificate

                                              Application Certificate Schema​

                                              • ▶
                                                {} 3 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 21 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 2 keys
                                                                                • ▶
                                                                                  {} 3 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 3 keys
                                                                                        • ▶
                                                                                          {} 2 keys
                                                                                          • ▶
                                                                                            {} 3 keys

                                                                                        Application Certificate Example​

                                                                                        • ▶
                                                                                          {} 11 keys
                                                                                          • "5cd02a50df66feb0994c7196"
                                                                                          • "5cd02a50df66feb0994c7196"
                                                                                          • "575ec8687ae143cd83dc4a97"
                                                                                          • "2016-06-13T04:00:00.000Z"
                                                                                          • "2016-06-13T04:00:00.000Z"
                                                                                          • "active"
                                                                                          • "An example certificate description"
                                                                                          • ▶
                                                                                            {} 6 keys
                                                                                            • "none"
                                                                                            • [] 0 items
                                                                                              • [] 0 items

                                                                                              Application Certificate Post​

                                                                                              Schema for the body of an Application Certificate creation request

                                                                                              Application Certificate Post Schema​

                                                                                              • ▶
                                                                                                {} 5 keys
                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                • "object"
                                                                                                • ▶
                                                                                                  {} 10 keys
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 2 keys
                                                                                                      • ▶
                                                                                                        {} 3 keys
                                                                                                        • ▶
                                                                                                          {} 1 key
                                                                                                          • ▶
                                                                                                            {} 2 keys
                                                                                                            • ▶
                                                                                                              {} 2 keys
                                                                                                              • ▶
                                                                                                                {} 2 keys
                                                                                                                • ▶
                                                                                                                  {} 3 keys
                                                                                                                  • ▶
                                                                                                                    {} 2 keys
                                                                                                                    • ▶
                                                                                                                      {} 3 keys
                                                                                                                    • ▶
                                                                                                                      [] 1 item
                                                                                                                      • false

                                                                                                                    Application Certificate Post Example​

                                                                                                                    • ▶
                                                                                                                      {} 5 keys
                                                                                                                      • "An example new certificate description"
                                                                                                                      • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"
                                                                                                                      • "all"
                                                                                                                      • [] 0 items
                                                                                                                        • [] 0 items

                                                                                                                        Application Certificates​

                                                                                                                        Schema for a collection of Application Certificates

                                                                                                                        Application Certificates Schema​

                                                                                                                        • ▶
                                                                                                                          {} 3 keys
                                                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                                                          • "object"
                                                                                                                          • ▶
                                                                                                                            {} 10 keys
                                                                                                                            • ▶
                                                                                                                              {} 2 keys
                                                                                                                              • ▶
                                                                                                                                {} 1 key
                                                                                                                                • ▶
                                                                                                                                  {} 1 key
                                                                                                                                  • ▶
                                                                                                                                    {} 1 key
                                                                                                                                    • ▶
                                                                                                                                      {} 1 key
                                                                                                                                      • ▶
                                                                                                                                        {} 1 key
                                                                                                                                        • ▶
                                                                                                                                          {} 1 key
                                                                                                                                          • ▶
                                                                                                                                            {} 1 key
                                                                                                                                            • ▶
                                                                                                                                              {} 2 keys
                                                                                                                                              • ▶
                                                                                                                                                {} 2 keys

                                                                                                                                            Application Certificates Example​

                                                                                                                                            • ▶
                                                                                                                                              {} 8 keys
                                                                                                                                              • ▶
                                                                                                                                                [] 1 item
                                                                                                                                                • 1
                                                                                                                                                • 4
                                                                                                                                                • 1
                                                                                                                                                • 0
                                                                                                                                                • "key"
                                                                                                                                                • "asc"
                                                                                                                                                • "575ec8687ae143cd83dc4a97"

                                                                                                                                              Error​

                                                                                                                                              Schema for errors returned by the API

                                                                                                                                              Error Schema​

                                                                                                                                              • ▶
                                                                                                                                                {} 3 keys
                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                • "object"
                                                                                                                                                • ▶
                                                                                                                                                  {} 3 keys
                                                                                                                                                  • ▶
                                                                                                                                                    {} 1 key
                                                                                                                                                    • ▶
                                                                                                                                                      {} 1 key
                                                                                                                                                      • ▶
                                                                                                                                                        {} 2 keys

                                                                                                                                                    Error Example​

                                                                                                                                                    • ▶
                                                                                                                                                      {} 2 keys
                                                                                                                                                      • "NotFound"
                                                                                                                                                      • "Application was not found"

                                                                                                                                                    Was this page helpful?


                                                                                                                                                    Still looking for help? You can also search the Losant Forums or submit your question there.